Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
I can't install PSCX2 on Linux mint 17.3 64bit? (SOLVED)
#1
Hello, I would like to know why PCSX2 can't install on my system. I know PSCX2 is a 32 bit program but many others can run it on their 64 bit machines? I looked at guides by just adding PPA's, updating and then install. When I type "sudo apt-get install PSCX2", I get the following output:

//start of output
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help resolve the situation:

The following packages have unmet dependencies:
 libegl1-mesa : Depends: libgbm1 (>= 7.11~1) but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
//end of output

It says I need libgbm1 but it can't be installed? Also, I don't know how to install the 32 bit libraries. I tried to follow this guide: https://github.com/PCSX2/pcsx2/wiki/Installing-on-Linux
but, I have no idea how to install the libraries.

Thanks. Smile
Reply

Sponsored links

#2
Quick question can linux run .EXE programs. I'm not familiar with this system that why im asking?
Reply
#3
(03-28-2016, 03:02 AM)mosss Wrote: Quick question can linux run .EXE programs. I'm not familiar with this system that why im asking?

No, that's an executable that only runs on windows. Pretty weird how no one has a solution to my problem.
Reply
#4
(03-28-2016, 03:05 AM)Agash28 Wrote: No, that's an executable that only runs on windows. Pretty weird how no one has a solution to my problem.

in the end you want to run pcsx2 on your linux right know mater how?
Reply
#5
(03-28-2016, 03:09 AM)mosss Wrote: in the end you want to run pcsx2 on your linux right know mater how?

Of course I do. I tried installing some of the libraries but the program doesn't work. I downloaded the program from their site and I click on PSCX2 and nothing happens...I tried looking around, but I'm also new to Linux compiling and installing libraries (since it doesn't allow me to install some of them). Are you currently on Windows or Linux?
Reply
#6
im a windows user, Im sorry but Im not familiar with this system, but I cant just leave you hanging here man.
your one of those people like me who need to be shown not told.
linux uses cmd for eveything,try and fallow this guys intutions.
try this links.  
https://www.youtube.com/watch?v=it6HRyyb8nE

https://www.youtube.com/watch?v=sY0nYfh7d_o

I really hope this helps.
Reply
#7
Also you post said you can't install libgbm1, do you know the first step to installing it?
I think it's a cmd command.
Reply
#8
(03-28-2016, 03:26 AM)mosss Wrote: im a windows user, Im sorry but Im not familiar with this system, but I cant just leave you hanging here man.
your one of those people like me who need to be shown not told.
linux uses cmd for eveything,try and fallow this guys intutions.
try this links.  
https://www.youtube.com/watch?v=it6HRyyb8nE

https://www.youtube.com/watch?v=sY0nYfh7d_o

I really hope this helps.

Sadly I already tried doing what they did, didn't work. I think they might be using 32 bit version of Linux...I am also (well was) a windows user, a good one at that. This isn't very new as I used Linux back in 2012 but I never did anything with libraries. Also, in Linux, it's called Terminal, not CMD (Command Prompt) BTW. Thanks for trying to help, appreciate it. Biggrin
Reply
#9
hopefully gregory can just pop in.
[Image: gmYzFII.png]
[Image: dvedn3-5.png]
Reply
#10
(03-28-2016, 03:37 AM)Agash28 Wrote: Sadly I already tried doing what they did, didn't work. I think they might be using 32 bit version of Linux...I am also (well was) a windows user, a good one at that. This isn't very new as I used Linux back in 2012 but I never did anything with libraries. Also, in Linux, it's called Terminal, not CMD (Command Prompt) BTW. Thanks for trying to help, appreciate it. Biggrin

No problem, so its call terminal ok
type this in se what happens.
apt-get install libgbm1
Reply




Users browsing this thread: 1 Guest(s)